/**
 * Header-fil for const
 * 
 * @file const.h
 * @author Sondre Sand & Frederik Simonsen
 */

#ifndef __CONST_H
#define __CONST_H

const int MINRUTER = 1;    ///< Minste lovlige rutenummer
const int MAXRUTER = 999;  ///< Største lovlige rutenummer
const int MINVOGNER = 2;   ///< Minimum antall vogner på en bane
const int MAXVOGNER = 10;  ///< Maksimum antall vogner på en bane
const int MINLENGDE = 30;  ///< Minimum lengde i meter på et banesett
const int MAXLENGDE = 150; ///< Maksimum lengde i meter på et banesett
const int MINSITT = 20;    ///< Minimum antall sitteplasser på en buss
const int MAXSITT = 80;    ///< Maksimum antall sitteplasser på en buss
const int MINSTAA = 10;    ///< Minimum antall ståplasser på en buss
const int MAXSTAA = 40;    ///< Maksimum antall ståplasser på en buss
const int MINTID = 6;      ///< Minimum tid mellom avganger
const int MAXTID = 120;    ///< Maksimum tid mellom avganger

#endif
